Description

An optimisation: Don't keep rendering symbols that are all the same on top of each other.

Epitomised with: http://www.lutraconsulting.co.uk/casestudies/qgis-multi-threaded-rendering - Currently QGIS appears to render

absolutely every point, the vast majority of which are redundant. If QGIS could determine that the entire applicable area of the canvas is

already covered with that symbol, then it could save time by simply not rendering any more.

(I'm aware there should be a scale threshold etc used, but some users don't do that; also when first investigating a dataset, you don't know

that you need one until it's too late)

History

#1 - 2013-12-13 04:50 AM - Giovanni Manghi

- Target version set to Future Release - Nice to have

#2 - 2013-12-13 05:29 AM - Regis Haubourg

Mmm, not sure it is a good optimisation path. Most user do use blending modes and/or transparency options to visualize real superpositions, and to makes

QGIS a wonderfull mapping tool. Optimisation should then be possible only if symbols are not transparent or with normal blending mode activated. 

Since symbol properties can be defined on fields and expressions, this is no more predictable.. 

The potential cave eats let me think we should'nt explore that way. IMHO, multithread + simplification (A. Huarte) are already making QGIS on of the faster

mapping tools, and web map servers. 

Régis

#3 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
